<div class="issue-grid">
  @for (issue of issues; track issue; let index = $index) {
    <div class="row-wrapper" [attr.data-test-element-id]="'issue-' + index">
      <a
        [href]="issue.data['url']"
        target="_blank"
        class="txt-ellipsis"
        [attr.data-test-field-id]="'remoteId'"
      >
        {{ issue.data['remoteKey'] || issue.data['remoteId'] }}
      </a>
      <span
        class="txt-ellipsis"
        [attr.data-test-field-id]="'btProject'"
        nz-tooltip
        [nzTooltipTitle]="getTooltip('btProject', issue.data['btProject'])"
        nzTooltipPlacement="topLeft"
        >{{ issue.data['btProject'] }}</span
      >
      <span
        class="txt-ellipsis"
        [attr.data-test-field-id]="'summary'"
        nz-tooltip
        [nzTooltipTitle]="getTooltip('summary', issue.data['summary'])"
        nzTooltipPlacement="topLeft"
        >{{ issue.data['summary'] }}</span
      >
      <span
        [attr.data-test-field-id]="'priority'"
        nz-tooltip
        [nzTooltipTitle]="getTooltip('priority', issue.data['priority'])"
        nzTooltipPlacement="topLeft"
        >{{ issue.data['priority'] }}</span
      >
      <span
        [attr.data-test-field-id]="'status'"
        nz-tooltip
        [nzTooltipTitle]="getTooltip('status', issue.data['status'])"
        nzTooltipPlacement="topLeft"
        >{{ issue.data['status'] }}</span
      >
      <div class="delete">
        @if (canDelete) {
          <span
            class="delete-issue-icon current-workspace-main-color"
            [attr.data-test-field-id]="'delete-issue'"
            (click)="deleteIssue(issue.data['issueIds'])"
            nz-tooltip
            [nzTooltipTitle]="'sqtm-core.generic.label.delete' | translate"
            nzTooltipPlacement="top"
          >
            <i nz-icon nzType="sqtm-core-generic:unlink" nzTheme="outline"></i>
          </span>
        }
      </div>
    </div>
  }
</div>
